<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">

	<bean id="tfrDataSource"
		class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName"
			value="${tfs.jdbc.dataSource.tfr.jndiName}" />
	</bean>


<!--
	this is for weblogic work manager 
	<bean id="workManager"
		class="gov.va.med.cds.transaction.WeblogicSchedulerWorkManager">
		<property name="workManager" ref="workManagerTaskExecutor" />
	</bean>

	<bean id="workManagerTaskExecutor" class="org.springframework.scheduling.commonj.WorkManagerTaskExecutor">
 		<property name="workManagerName" value="java:comp/env/workManagers/ConcurrentRead" />
 	</bean>
 -->	
 	
 <!--   
 
	<bean id="hxDataSource" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="${cds.hx.jdbc.dataSource.jndiName}" />
		</bean>
-->

	<!--  This bean sets up property replacement so that variables can be externalized to system properties -->
	<bean
		class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName"
			value="SYSTEM_PROPERTIES_MODE_OVERRIDE" />
		<property name="locations">
			<list>
				<value>
					classpath:gov/va/med/tfs/config/properties/defaultWeblogic.properties
				</value>
			</list>
		</property>
	</bean>

    <!--
	<bean id="templateSearchPathGenerator"
		class="gov.va.med.cds.util.ConstructedSearchPathGenerator">
		<property name="firstSystemPropertyName" value="user.dir" />
		<property name="firstFilePathPiece" value="servers" />
		<property name="secondSystemPropertyName" value="weblogic.Name" />
		<property name="secondFilePathPiece"
			value="tmp/_WL_user/cds-ear*/**/templatecache" />
	</bean>

	<bean id="mbeanServer" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="java:comp/env/jmx/runtime"/>
	</bean>

	<bean id="hdr2TransactionManager" class="org.springframework.transaction.jta.WebLogicJtaTransactionManager"/>
	
	-->
</beans>